Package org.apache.lucene.index

# Class CheckIndex.Status.VectorValuesStatus

java.lang.Object
org.apache.lucene.index.CheckIndex.Status.VectorValuesStatus

Enclosing class:
  `CheckIndex.Status`

public static final class CheckIndex.Status.VectorValuesStatus extends Object
Status from testing vector values

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Throwable`
  `error`
  Exception thrown during vector values test (null on success)
  `int`
  `totalKnnVectorFields`
  Total number of fields with vectors.
  `long`
  `totalVectorValues`
  Total number of vector values tested.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### totalVectorValues

    public long totalVectorValues
    Total number of vector values tested.

  - ### totalKnnVectorFields

    public int totalKnnVectorFields
    Total number of fields with vectors.

  - ### error

    public Throwable error
    Exception thrown during vector values test (null on success)